- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
Since the API does not have the ability to do a coil, I have created a spiral and a sketch to make the coil.
However, it does not work properly.
It starts out as a simple rectangle at the bottom, but as it goes up the path it twists.
I have tried ParallelOrientationType also, but that does not work either.
Below is the code to create the sweep.
# Create a sweep input
sweeps = newComp.features.sweepFeatures
sweepInput = sweeps.createInput(prof, myPath, adsk.fusion.FeatureOperations.NewBodyFeatureOperation)
sweepInput.orientation = adsk.fusion.SweepOrientationTypes.PerpendicularOrientationType
Any help appreciated.
Thank you.
Brad Bylls
Solved! Go to Solution.